/**
 * 
 */
package com.ampiere.web.struts.button;

import java.util.ArrayList;
import java.util.HashMap;

import com.ampiere.web.struts.common.PopupBaseForm;

/**
 * @author Shinjirito
 *
 */
public class ButtonActionForm extends PopupBaseForm {
	private static final long serialVersionUID = 4970347327301019247L;
	private int processId;
    private boolean error = false;
    private String message = "";
    private ArrayList < HashMap > dataList = null;

	public ArrayList<HashMap> getDataList() {
        return dataList;
    }
    public void setDataList(ArrayList<HashMap> dataList) {
        this.dataList = dataList;
    }
    public boolean isError() {
        return error;
    }
    public void setError(boolean error) {
        this.error = error;
    }
    public String getMessage() {
        return message;
    }
    public void setMessage(String message) {
        this.message = message;
    }
    public int getProcessId() {
		return processId;
	}
	public void setProcessId(int processId) {
		this.processId = processId;
	}
}
